## net.sf.saxon.s9api
Class XsltExecutable

    java.lang.Object
      net.sf.saxon.s9api.XsltExecutable

    public class XsltExecutable

extends java.lang.Object

An XsltExecutable represents the compiled form of a stylesheet. To execute the stylesheet, it must first be loaded to form an `XsltTransformer`.

An XsltExecutable is immutable, and therefore thread-safe. It is simplest to load a new XsltTransformer each time the stylesheet is to be run. However, the XsltTransformer is serially reusable within a single thread.

An XsltExecutable is created by using one of the `compile` methods on the `XsltCompiler` class.

Constructor Summary
`protected` `XsltExecutable(Processor processor, PreparedStylesheet pss)`

Method Summary
`void` `explain(Destination destination)` Produce a diagnostic representation of the compiled stylesheet, in XML form.
`PreparedStylesheet` `getUnderlyingCompiledStylesheet()` Get the underlying implementation object representing the compiled stylesheet.
`XsltTransformer` `load()` Load the stylesheet to prepare it for execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltExecutable

    protected XsltExecutable(Processor processor,
                             PreparedStylesheet pss)

Method Detail

### load

    public XsltTransformer load()

  Load the stylesheet to prepare it for execution.

  Returns:
    An XsltTransformer. The returned XsltTransformer can be used to set up the dynamic context for stylesheet evaluation, and to run the stylesheet.

### explain

    public void explain(Destination destination)
                 throws SaxonApiException

  Produce a diagnostic representation of the compiled stylesheet, in XML form.

  The detailed form of this representation is not stable (or even documented).

  Parameters:
    `destination` - the destination for the XML document containing the diagnostic representation of the compiled stylesheet
  Throws:
    `SaxonApiException`
  Since:
    9.1

### getUnderlyingCompiledStylesheet

    public PreparedStylesheet getUnderlyingCompiledStylesheet()

  Get the underlying implementation object representing the compiled stylesheet. This provides an escape hatch into lower-level APIs. The object returned by this method may change from release to release.

  Returns:
    the underlying implementation of the compiled stylesheet

Copyright (c) Saxonica Limited. All rights reserved.